## catgirl 2.0a

=== Makefile ===
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
MANDIR ?= ${PREFIX}/man

CEXTS = gnu-case-range gnu-conditional-omitted-operand
CFLAGS += -std=c11 -Wall -Wextra -Wpedantic ${CEXTS:%=-Wno-%}
LDADD.libtls = -ltls
LDADD.ncursesw = -lncursesw

-include config.mk

LDLIBS = ${LDADD.libtls} ${LDADD.ncursesw}

OBJS += buffer.o
OBJS += chat.o
OBJS += command.o
OBJS += complete.o
OBJS += config.o
OBJS += edit.o
OBJS += filter.o
OBJS += handle.o
OBJS += irc.o
OBJS += log.o
OBJS += ui.o
OBJS += url.o
OBJS += xdg.o

dev: tags all

all: catgirl

catgirl: ${OBJS}
	${CC} ${LDFLAGS} ${OBJS} ${LDLIBS} -o $@

${OBJS}: chat.h

tags: *.[ch]
	ctags -w *.[ch]

clean:
	rm -f catgirl ${OBJS} tags

install: catgirl catgirl.1
	install -d ${DESTDIR}${BINDIR} ${DESTDIR}${MANDIR}/man1
	install catgirl ${DESTDIR}${BINDIR}
	install -m 644 catgirl.1 ${DESTDIR}${MANDIR}/man1

uninstall:
	rm -f ${DESTDIR}${BINDIR}/catgirl ${DESTDIR}${MANDIR}/man1/catgirl.1

scripts/sandman: scripts/sandman.o
	${CC} ${LDFLAGS} scripts/sandman.o -framework Cocoa -o $@

install-sandman: scripts/sandman scripts/sandman.1
	install -d ${DESTDIR}${BINDIR} ${DESTDIR}${MANDIR}/man1
	install scripts/sandman ${DESTDIR}${BINDIR}
	install -m 644 scripts/sandman.1 ${DESTDIR}${MANDIR}/man1

uninstall-sandman:
	rm -f ${DESTDIR}${BINDIR}/sandman ${DESTDIR}${MANDIR}/man1/sandman.1

CHROOT_USER = chat
CHROOT_GROUP = ${CHROOT_USER}

chroot.tar: catgirl catgirl.1 scripts/chroot-prompt.sh scripts/chroot-man.sh
chroot.tar: scripts/build-chroot.sh
	sh scripts/build-chroot.sh ${CHROOT_USER} ${CHROOT_GROUP}

install-chroot: chroot.tar
	tar -px -f chroot.tar -C /home/${CHROOT_USER}

clean-chroot:
	rm -fr chroot.tar root

=== debian/changelog ===
catgirl (2.0a-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Kavanagh <rak@debian.org>  Mon, 24 Jan 2022 12:41:19 -0500

catgirl (2.0-2) unstable; urgency=medium

  * Install README(7) as catgirl(7), uses 01_README_man_page.diff
  * Update copyright years

 -- Ryan Kavanagh <rak@debian.org>  Sun, 09 Jan 2022 14:01:56 -0500

catgirl (2.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.0

 -- Ryan Kavanagh <rak@debian.org>  Sun, 12 Dec 2021 17:51:49 -0500

catgirl (1.9a-1) unstable; urgency=medium

  * Initial release (Closes: #991191)

 -- Ryan Kavanagh <rak@debian.org>  Thu, 02 Sep 2021 08:10:17 -0400

## catgirl 2.1

=== Makefile ===
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
MANDIR ?= ${PREFIX}/man

CEXTS = gnu-case-range gnu-conditional-omitted-operand
CFLAGS += -std=c11 -Wall -Wextra -Wpedantic -Wmissing-prototypes
CFLAGS += ${CEXTS:%=-Wno-%}
LDADD.libtls = -ltls
LDADD.ncursesw = -lncursesw

-include config.mk

LDLIBS = ${LDADD.libtls} ${LDADD.ncursesw}

OBJS += buffer.o
OBJS += chat.o
OBJS += command.o
OBJS += complete.o
OBJS += config.o
OBJS += edit.o
OBJS += filter.o
OBJS += handle.o
OBJS += input.o
OBJS += irc.o
OBJS += log.o
OBJS += ui.o
OBJS += url.o
OBJS += window.o
OBJS += xdg.o

TESTS += edit.t

dev: tags all check

all: catgirl

catgirl: ${OBJS}
	${CC} ${LDFLAGS} ${OBJS} ${LDLIBS} -o $@

${OBJS}: chat.h

edit.o edit.t input.o: edit.h

check: ${TESTS}

.SUFFIXES: .t

.c.t:
	${CC} ${CFLAGS} -DTEST ${LDFLAGS} $< ${LDLIBS} -o $@
	./$@ || rm $@

tags: *.[ch]
	ctags -w *.[ch]

clean:
	rm -f catgirl ${OBJS} ${TESTS} tags

install: catgirl catgirl.1
	install -d ${DESTDIR}${BINDIR} ${DESTDIR}${MANDIR}/man1
	install catgirl ${DESTDIR}${BINDIR}
	install -m 644 catgirl.1 ${DESTDIR}${MANDIR}/man1

uninstall:
	rm -f ${DESTDIR}${BINDIR}/catgirl ${DESTDIR}${MANDIR}/man1/catgirl.1

CHROOT_USER = chat
CHROOT_GROUP = ${CHROOT_USER}

chroot.tar: catgirl catgirl.1 scripts/chroot-prompt.sh scripts/chroot-man.sh
chroot.tar: scripts/build-chroot.sh
	sh scripts/build-chroot.sh ${CHROOT_USER} ${CHROOT_GROUP}

install-chroot: chroot.tar
	tar -px -f chroot.tar -C /home/${CHROOT_USER}

clean-chroot:
	rm -fr chroot.tar root

=== scripts/Makefile ===
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
MANDIR ?= ${PREFIX}/man

CFLAGS += -Wall -Wextra

-include ../config.mk

LDLIBS = -framework Cocoa

all: sandman

clean:
	rm -f sandman

install: sandman sandman.1
	install -d ${DESTDIR}${BINDIR} ${DESTDIR}${MANDIR}/man1
	install sandman ${DESTDIR}${BINDIR}
	install -m 644 sandman.1 ${DESTDIR}${MANDIR}/man1

uninstall:
	rm -f ${DESTDIR}${BINDIR}/sandman ${DESTDIR}/man/man1/sandman.1

=== debian/changelog ===
catgirl (2.1-1) unstable; urgency=medium

  * New upstream release
  * Update copyright file
  * Refresh patches

 -- Ryan Kavanagh <rak@debian.org>  Sat, 26 Feb 2022 11:51:35 -0500

=== debian/control ===
Source: catgirl
Section: net
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 libncurses-dev,
 libtls-dev,
 pkg-config,
Standards-Version: 4.6.0
Homepage: https://git.causal.agency/catgirl/about/
Vcs-Browser: https://salsa.debian.org/debian/catgirl
Vcs-Git: https://salsa.debian.org/debian/catgirl.git
Rules-Requires-Root: no

Package: catgirl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 tmux,
Description: TLS-only terminal IRC client
 A minimal terminal IRC client with tab completion, split scrolling, nick
 colouring, topic diffing, and message filtering.

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

https://git.causal.agency/catgirl/ \
  snapshot/catgirl-([\d\.a-z]+)\.tar\.gz debian uupdate

## catgirl 2.2

=== debian/changelog ===
catgirl (2.2-1build1) noble; urgency=high

  * No change rebuild against libtls28t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:00 +0200

catgirl (2.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Update copyright years
  * Bump standards version to 4.6.2, no changes required

 -- Ryan Kavanagh <rak@debian.org>  Thu, 16 Nov 2023 11:03:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: catgirl
 Section: net
 Priority: optional
-Maintainer: Ryan Kavanagh <rak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  libncurses-dev,
  libtls-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://git.causal.agency/catgirl/about/
 Vcs-Browser: https://salsa.debian.org/debian/catgirl
 Vcs-Git: https://salsa.debian.org/debian/catgirl.git

## catgirl 2.2a

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,13 @@
 LDADD.libtls = -ltls
 LDADD.ncursesw = -lncursesw
 
+BINS = catgirl
+MANS = ${BINS:=.1}
+
 -include config.mk
 
 LDLIBS = ${LDADD.libtls} ${LDADD.ncursesw}
+LDLIBS.sandman = -framework Cocoa
 
 OBJS += buffer.o
 OBJS += chat.o
@@ -28,11 +32,13 @@
 OBJS += window.o
 OBJS += xdg.o
 
+OBJS.sandman = sandman.o
+
 TESTS += edit.t
 
 dev: tags all check
 
-all: catgirl
+all: ${BINS}
 
 catgirl: ${OBJS}
 	${CC} ${LDFLAGS} ${OBJS} ${LDLIBS} -o $@
@@ -40,6 +46,9 @@
 ${OBJS}: chat.h
 
 edit.o edit.t input.o: edit.h
+
+sandman: ${OBJS.sandman}
+	${CC} ${LDFLAGS} ${OBJS.$@} ${LDLIBS.$@} -o $@
 
 check: ${TESTS}
 
@@ -53,15 +62,16 @@
 	ctags -w *.[ch]
 
 clean:
-	rm -f catgirl ${OBJS} ${TESTS} tags
+	rm -f ${BINS} ${OBJS} ${OBJS.sandman} ${TESTS} tags
 
-install: catgirl catgirl.1
+install: ${BINS} ${MANS}
 	install -d ${DESTDIR}${BINDIR} ${DESTDIR}${MANDIR}/man1
-	install catgirl ${DESTDIR}${BINDIR}
-	install -m 644 catgirl.1 ${DESTDIR}${MANDIR}/man1
+	install ${BINS} ${DESTDIR}${BINDIR}
+	install -m 644 ${MANS} ${DESTDIR}${MANDIR}/man1
 
 uninstall:
-	rm -f ${DESTDIR}${BINDIR}/catgirl ${DESTDIR}${MANDIR}/man1/catgirl.1
+	rm -f ${BINS:%=${DESTDIR}${BINDIR}/%}
+	rm -f ${MANS:%=${DESTDIR}${MANDIR}/man1/%}
 
 CHROOT_USER = chat
 CHROOT_GROUP = ${CHROOT_USER}

=== debian/changelog ===
catgirl (2.2a-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.7.0, no changes required
  * transition pkg-config to pkgconf

 -- Ryan Kavanagh <rak@debian.org>  Fri, 20 Sep 2024 13:41:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: catgirl
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
+Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  libncurses-dev,
  libtls-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://git.causal.agency/catgirl/about/
 Vcs-Browser: https://salsa.debian.org/debian/catgirl
 Vcs-Git: https://salsa.debian.org/debian/catgirl.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --mandir=/usr/share/man

override_dh_auto_build:
	dh_auto_build -- all
